<?php


/*** Variables ***/

// A propos de la version
$version = "0.101";
$date = "26/09/2006";
$site = "http://clickimage.jonas.tuxfamily.org";

// Chaines de caractères utilisée fréquement
$charOK = '<p style="color:green;"><span style="text-decoration:blink underline;">/!\</span> ';
$charKO = '<p style=" color:red;"><span style="text-decoration:blink underline;">/!\</span> ';

// Chemins vers de fichier
$dir_clickimage = dc_app_url.'/ecrire/tools/clickimage/';
$fichier_conf_global = '/conf/clickimage.ini';
$save_fichier_conf_global = '/../../../share/clickimage.ini';
$dir_preconf =  '/conf/preconf/';


/*** Code ***/

require ("fonctions.php");

if ($_POST['enregister']||$_POST['charger'])
{
	//Calcul des hauteurs du popup (plier ou deplier)
	$Hpopup = clickimage::h_popup();
	// Ecriture des champs du formulaire dans le fichier de config
	if (clickimage::writeconf($fichier_conf_global,array_merge($_POST,$Hpopup)))
	{
		$message_enregistrement = $charOK.__('La configuration a été sauvée').'</p>';
	}
	else
	{
		$message_enregistrement = $charKO.__('Il y a eu une erreur lors de l\'enregistrement de la configuration').'.  '.__('Vérifier si vous possédez les droits d\'écriture sur').' <code>'.$fichier_conf_global.'</code>.</p>';
	}
	
	if ($_POST['charger'])
	{
		// Chargement d'une préconfiguration et ecriture de celle-ci dans la fichier de config
		if (clickimage::writeconf($fichier_conf_global, clickimage::readconf($dir_preconf.$_POST['preconf'].'.ini')))
		{
			$message_enregistrement = $charOK.__('La préconfiguration a été chargée').'</p>';
		}
		else
		{
			$message_enregistrement =$charKO.__('Il y a eu une erreur lors de l\'enregistrement de la configuration').'.  '.__('Vérifier si vous possédez les droits d\'écriture sur').' <code>'.$dir_clickimage.$fichier_conf_global.'</code>.</p>';
		}
	}	
}
elseif ($_POST['copie'])
{
	//copie du fichier de configuration
	if (copy (dirname(__FILE__).$fichier_conf_global,dirname(__FILE__).$save_fichier_conf_global))	{
		$message_enregistrement = $charOK.__('Le fichier de configuration a été copié').'</p>';
	} else {
		$message_enregistrement = $charKO.__('Il y a eu une erreur lors de la copie du fichier de configuration').'.  '.__('Vérifier si vous possédez les droits d\'écriture sur').' <code>'.dc_app_url.'/share/</code>.</p>';
	}
}
elseif ($_POST['restauration'])
{
	//Restauration du fichier de config
	if (file_exists(dirname(__FILE__).$save_fichier_conf_global))
		if (copy (dirname(__FILE__).$save_fichier_conf_global, dirname(__FILE__).$fichier_conf_global))
		{
			@chmod (dirname(__FILE__).$fichier_conf_global,0644);
			$message_enregistrement =  $charOK.__('La configuration a été restaurée').' </p>';
		} else {
			$message_enregistrement =  $charKO.__('La configuration n\'a pas pu être restaurée').'.  '.__('Vérifier si vous possédez les droits d\'écriture sur ').'<code>'.$fichier_conf_global.'</code>'.__('ainsi que sur son dossier').'.</p>';
		}
	else
	{
		$message_enregistrement =  $charKO.__('La configuration n\'a pas pu être restaurée').' '.__('car le fichier de restauration n\'existe pas').'.</p>';
	}
}
	

//Lecture de la configuration
$globalconf = clickimage::readconf($fichier_conf_global);

//tester le chemin a faire


/*** Affichage ***/

$a_remplacer = 		array('%dc_app_url%', 	'%dir_clickimage%');
$remplacer_par = 	array(dc_app_url, 		$dir_clickimage);

buffer::str(str_replace
($a_remplacer,$remplacer_par,'
<style>
	@import "%dir_clickimage%/style.css";
</style>


<h2>ClickImage</h2>


<h3>'.__('Sommaire').'</h3>

<fieldset>
<ul id="sommaire">
<li><a href="#pres">'.__('Présentation').'</a> :  		<span>'.__('mais à quoi peut bien servir ce plugin ?').'</span></li>
<li><a href="#conf">'.__('Configuration').'</a> :  		<span>'.__('configurer la taille de miniatures, comment s\'ouvrent les images ...').'</span></li>
<li><a href="#install">'.__('Installation').'</a> :  		<span>'.__('les différentes opérations à effectuer pour que le plugin fonctionne.').'</span></li>
<li><a href="#uninstall">'.__('Désinstallation').'</a> : 	<span>'.__('comment supprimer ce plugin ?').'</span></li>
<li><a href="#bleme">'.__('En cas de problème').'</a> : 	<span>'.__('comment le résoudre ?').'</span></li>
<li><a href="#info">'.__('Informations').'</a> : 			<span>'.__('la version du script, le site ...').'</span></li>
</ul>
</fieldset>

<a name="pres"></a>
<h3>'.__('Présentation').'</h3>
<fieldset>
'.__('présentation du plugin').'
</fieldset>


<a name="conf"></a>
<h3>'.__('Configuration').'</h3>

<form method="POST" action="'.$_SERVER['PHP_SELF'].'?p=clickimage#conf" >
'.$message_enregistrement.'

<fieldset>

<h4>'.__('Copier/restaurer de la configuration').'</h4>

<p>'.__('Explication sauvegarde fichier de configuration').'</p>

<span style="left : 2em; position : relative;"><input type="submit" value="'.__('Copier la configuration').'" name="copie"> <input type="submit" value="'.__('Restaurer la configuration').'" name="restauration"></span>


<h4>'.__('Chemin du dossier contenant les images').'</h4>

<p>'.__('Chemin du dossier où seront stockées les images (sans le "/" au début, avec à la fin). Il est possible de créer des ').' <a href="'.$dir_clickimage.'help_dossierdyn.php?auteur='.$_SESSION['sess_user_id'].'" onclick="window.open (this.href, \'image\', config=\'toolbar=no, height=350, width=400\'); return false;">'.__('dossiers "dynamiques"').'<img src="images/ico_help.png" alt="help"></a>.<br>
<span style="left: 2em; position: relative;">'.dc_app_url.'/<textarea name="dest_dossier" cols="50" style="vertical-align : middle; height: 1.4em;">'.$globalconf['dest_dossier'].'</textarea>
</span></p>


<h4>'.__('Images envoyées').'</h4>

<p>'.__('Les images envoyées <a title="Souvent les serveurs limitent la taille des fichiers lors de leur envoie à 2Mo" class="info">ne doivent pas dépasser</a> les').' 
<input type="text" name="taille_max" value="'.$globalconf['taille_max'].'" size="2"> Mo.</p>

<p><input type="hidden" name="reduct_orig" value=""><input type="checkbox" name="reduct_orig" '.$globalconf['reduct_orig'].' value="checked"> '.__('Réduire la résolution de l\'images lors de sont envoie. Sa résolution ne doit pas dépasser les :').'<br>
<span style="left: 3em; position: relative;"><input type="text" name="orig_reso_L" value="'.$globalconf['orig_reso_L'].'" size="3">px '.__('en largeur').'</span>
<span style="left: 3em; position: relative;"><input type="text" name="orig_reso_H" value="'.$globalconf['orig_reso_H'].'" size="3">px '.__('en hauteur').'</span></p>


<h4>'.__('Miniatures').'</h4>

<p>'.__('La résolution des miniatures ne doit pas dépasser les :').'<br>
<span style="left : 2em; position : relative;"><input type="text" name="min_reso_L" value="'.$globalconf['min_reso_L'].'" size="3">px '.__('en largeur').'</span>
<span style="left : 3em; position : relative;"><input type="text" name="min_reso_H" value="'.$globalconf['min_reso_H'].'" size="3">px '.__('en hauteur').'</span></p>

<p>'.clickimage::checked($globalconf,'recadrer').__('Recadrer les miniatures pour qu\'elles prennent les dimensions exactes indiquée ci-dessus').'.

<p>'.__('Position de la miniature').' :
<select name="position">'.
	clickimage::option($globalconf, 'position', 'gauche', __('Texte à droite de l\'image')).
	clickimage::option($globalconf, 'position', 'droite', __('Texte à gauche de l\'image')).
	clickimage::option($globalconf, 'position', 'centre', __('Image centrée')).
	clickimage::option($globalconf, 'position', 'caract', __('Image comme caractère')).
'</select>


<h4>'.__('Options disponibles dans le popup d\'insertion').'</h4>

<p>'.
clickimage::checked($globalconf,'popup_imghdd').__('Envoi d\'images à partir du disque dur').'.<br>'.
clickimage::checked($globalconf,'popup_imgweb').__('Envoi d\'images à partir d\'autre site').'.<br>'.
clickimage::checked($globalconf,'popup_position').__('Choix de la position de la miniature').'.<br>'.
clickimage::checked($globalconf,'popup_reso').__('Choix de la résolution de la miniature').'<br>'.
clickimage::checked($globalconf,'popup_recadrer').__('Possibilité de recadrer ou non la miniature').
'.</p>


<h4>'.__('Ouverture des images').'</h4>

<p>'.__('Ouvrir les images').' 
<select name="preconf">'.
	clickimage::option($globalconf, 'preconf', 'ici', __('dans la même fenêtre')).
	clickimage::option($globalconf, 'preconf', 'blank', __('dans une nouvelle fenêtre (HTML uniquement)')).
	clickimage::option($globalconf, 'preconf', 'popup', __('dans un popup aux dimensions de celle-ci (HTML uniquement)')).
	clickimage::option($globalconf, 'preconf', 'lightbox', __('avec le plugin Lightbox JS pour DotClear'))
.'</select> 
<input type="submit" name="charger" value="'.__('Charger').'">
</p>


<p><input type="submit" name="enregister" value="'.__('Enregistrer la configuration').'"></p>


<h4>'.__('Options avancées').'</h4>

<p>'.__('Si vous ne savez pas ce que vous faites ne touchez pas aux options suivantes').'.</p>

<p>'.__('Nom de miniature (remplacer le nom par <code>%nom%</code> et l\'extension par <code>%ext%</code>)').' : 
<input type="text" name="nom_min" value="'.$globalconf['nom_min'].'" size="30">

<p>'.__('Qualité des images jpg générées par le script (de 0 à 100, 100 étant la meilleure)').' : <input type="text" name="qualite_jpg" value="'.$globalconf['qualite_jpg'].'" size="3"></p>

'./*<p>'.clickimage::checked($globalconf,'png_alpha').__('Garder la canal alpha des png')'.</p>*/

/*<p>'.clickimage::checked($globalconf,'gd_ko').__('En cas de problème avec les libraires GD, cocher cette case. Les fonctions de dotclear seront utilisées mais les fonctionnalité de recadrage, qualité jpg ne fonctionneront pas').'.</p>*/'

<p>'.clickimage::checked($globalconf,'debug').__('Mode debug (ne pas fermer le popup)').'.</p>

<p>'.__('Il est possible de modifier manuellement les balises (HTML ou wiki) d\'insertion des images').'</p>

<ul>
	<li>'.__('À la place du chemin de la miniature utilisez la variable').' <code>%min%</code>.</li>
	<li>'.__('À la place du chemin de l\'image d\'origine utilisez la variable').' <code>%orig%</code>.</li>
	<li>'.__('À la place du texte alternatif ou du commentaire utilisez la variable').' <code>%texte%</code>.</li>
	<li>'.__('(Pour le plugin lightbox) À la place du nom de l\'album utilisez la variable').' <code>%album%</code>.</li>
</ul>


<h5>'.__('Image en mode wiki').'</h5>

<p>'.__('Code pour l\'insertion des images <a title="Car plus petites que la taille des miniatures" class="info">non-clickables</a>').':</p>
<ul id="options_avances">

	<li>
	'.__('Texte à droite de l\'image').' :
	<textarea name="code_wiki_gauche">'.$globalconf['code_wiki_gauche'].'</textarea>
	</li>
	
	<li>
	'.__('Texte à gauche de l\'image').' :
	<textarea name="code_wiki_droite">'.$globalconf['code_wiki_droite'].'</textarea>
	</li>

	<li>
	'.__('Image centrée').' :
	<textarea name="code_wiki_centre">'.$globalconf['code_wiki_centre'].'</textarea>
	</li>
	
	<li>
	'.__('Image comme caractère').' :
	<textarea name="code_wiki_caract">'.$globalconf['code_wiki_caract'].'</textarea>
	</li>

</ul>

<p>'.__('Code pour l\'insertion des images <a title="Car plus grandes que la taille des miniatures" class="info">cliquables</a>').':</p>
<ul id="options_avances">

	<li>
	'.__('Texte à droite de l\'image').' :
	<textarea name="code_wikiclick_gauche">'.$globalconf['code_wikiclick_gauche'].'</textarea>
	</li>
	
	<li>
	'.__('Texte à gauche de l\'image').' :
	<textarea name="code_wikiclick_droite">'.$globalconf['code_wikiclick_droite'].'</textarea>
	</li>
	
	<li>
	'.__('Image centrée').' :
	<textarea name="code_wikiclick_centre">'.$globalconf['code_wikiclick_centre'].'</textarea>
	</li>
	
	<li>
	'.__('Image comme caractère').' :
	<textarea name="code_wikiclick_caract">'.$globalconf['code_wikiclick_caract'].'</textarea>
	</li>

</ul>


<h5>'.__('Image en HTML').'</h5>

<p>'.__('Code pour l\'insertion des images <a title="Car plus petites que la taille des miniatures" class="info">non-clickables</a>').':</p>
<ul id="options_avances">

	<li>
	'.__('Texte à droite de l\'image').' :
	<textarea name="code_html_gauche">'.$globalconf['code_html_gauche'].'</textarea>
	</li>
	
	<li>
	'.__('Texte à gauche de l\'image').' :
	<textarea name="code_html_droite">'.$globalconf['code_html_droite'].'</textarea>
	</li>
	
	<li>
	'.__('Image centrée').' :
	<textarea name="code_html_centre">'.$globalconf['code_html_centre'].'</textarea>
	</li>
	
	<li>
	'.__('Image comme caractère').' :
	<textarea name="code_html_caract">'.$globalconf['code_html_caract'].'</textarea>
	</li>

</ul>

<p>'.__('Code pour l\'insertion des images <a title="Car plus grandes que la taille des miniatures" class="info">clickables</a>').':</p>
<ul id="options_avances">

	<li>
	'.__('Texte à droite de l\'image').' :
	<textarea name="code_htmlclick_gauche">'.$globalconf['code_htmlclick_gauche'].'</textarea>
	</li>
	
	<li>
	'.__('Texte à gauche de l\'image').' :
	<textarea name="code_htmlclick_droite">'.$globalconf['code_htmlclick_droite'].'</textarea>
	</li>
	
	<li>
	'.__('Image centrée').' :
	<textarea name="code_htmlclick_centre">'.$globalconf['code_htmlclick_centre'].'</textarea>
	</li>
	
	<li>
	'.__('Image comme caractère').' :
	<textarea name="code_htmlclick_caract">'.$globalconf['code_htmlclick_caract'].'</textarea>
	</li

</ul>

<p><input type="submit" name="enregister" value="'.__('Enregistrer la configuration').'"></p>
</form>
</fieldset>


<a name="install"></a>
<h3>'.__('Installation').'</h3>

<fieldset>


<h4>'.__('Ajout du bouton dans la barre d\'outil').'</h4>

<p>'.__('Explication des modifications').'</p>

<p>'.__('Dans le fichier').' <code>%dc_app_url%/ecrire/poster.php</code>. '.__('Cherchez la ligne').'</p>
<pre>tb.btImg(\'".str_replace("\'","\\\'",__(\'Internal image\'))."\',\'images-popup.php\');</pre>
<p>'.__('et ajoutez en dessous').' :</p>
<pre>//Ajout pour ClickImage :
tb.addSpace(10);
tb.btImgClick(\'".str_replace("\'","\\\'",__(\'Image cliquable\'))."\',\'tools/clickimage/clickimage.php\');
//fin ajout</pre>

<p>'.__('Pour remplacer automatiquement le fichier').' <code>toolbar.js</code> '.__('se trouvant dans').' <code>%dc_app_url%/ecrire/js/</code> '.__('cliquez').'<a href="%dir_clickimage%cp_toolbar.php?quoi=copier" onclick="window.open (this.href, \'image\', config=\'toolbar=no, scrollbars=yes, height=240, width=520\'); return false;">'.__('ici').'</a><br>


<h4>'.__('En cas d\'utilisation de l\'ouverture des image dans un popup').'</h4>

<p>'.__('Dans le fichier').' <code>template.php</code> '.__('de votre thème (ou de celui du thème par défaut si votre thème n\'en possède pas.').' '.__('Cherchez la ligne').'</p>
<pre>&#060;?php dcPostTrackbackAutoDiscovery(); ?></pre>
<p>'.__('et ajoutez en dessous').' :</p>
<pre>&#060;?php include(dirname(__FILE__).\'/../../ecrire/tools/clickimage/codejavascript.php\') /*Ajout pour ClickImage*/?></pre>


<h4>'.__('En cas d\'utilisation du plugin lightbox').'</h4>

<p>'.__('Faites les modifications indiquées dans le plugin').'</p>
</fieldset>


<a name="uninstall"></a>
<h3>'.__('Désinstallation').'</h3>

<fieldset>

<h4>'.__('Suppression du bouton').'.</h4>

<p>'.__('Dans le fichier').' <code>%dc_app_url%/ecrire/poster.php</code> '.__('Supprimez les lignes').'</p>
<pre>//Ajout pour ClickImage :
tb.addSpace(10);
tb.btImgClick(\'".str_replace("\'","\\\'",__(\'Image cliquable\'))."\',\'tools/clickimage/clickimage.php\');
//fin ajout</pre>

<p>'.__('Les modifications de').' <code>toolbar.js</code> '.__('ne servent plus à rien. Vous pouvez donc restaurer ce fichier automatiquement en cliquant').' <a href="%dir_clickimage%cp_toolbar?quoi=restaurer" onclick="window.open (this.href, \'image\', config=\'toolbar=no, scrollbars=yes, height=240, width=520\'); return false;">'.__('ici').'</a>. '.__('Attention ! Toutes autres modifications de ces fichiers après l\'installation de clickimage seront perdues').'.<br>
'.__('Pour restaurer ce fichier manuellement supprimez les lignes accompagnées d\'un commentaire').' "<em>ajout pour clickimage</em>".


<h4>'.__('Supprimer le script d\'ouverture des images dans le popup').'</h4>

<p>'.__('Dans le fichier').' <code>template.php</code> '.__('de votre thème (ou de celui du thème par defaut si votre thème n\'en possède pas.').' '.__('Supprimez la ligne').'</p>
<pre>&#060;?php include(dirname(__FILE__).\'/../../ecrire/tools/clickimage/codejavascript.php\') /*Ajout pour ClickImage*/?></pre>
</fieldset>


<a name="bleme"></a>
<h3>'.__('En cas de problème').'</h3>

<fieldset>
<ul>
<li>'.__('Vérifiez que vous possédez').' <a href ="'.$site.'?v='.$version.'">'.__('la dernière version').'</a> '.__('du plugin').'.</li>
<li>'.__('Contactez-moi sur').' <a href="'.$site.'">'.__('mon site').'</a> '.__('via la commentaire sur le billet du blog ou le forum').'.</li>
</ul>
</fieldset>


<a name="info"></a>
<h3>'.__('Informations').'</h3>

<fieldset>
<ul id="info">
<li>'.__('Auteur').' : 	<span>Jonas Fourquier</span></li>
<li>'.__('Site web').' :	<span><a href="'.$site.'">'.$site.'</span></a></li>
<li>'.__('Version').' : 	<span>'.$version.' </span></li>
<li>'.__('du').' :		<span> '.$date.' (<a href ="'.$site.'?v='.$version.'">'.__('vérifier s\'il s\'agit de la dernière version').'</a>)</span></li>
<li>'.__('Contributeurs').' :
	<ul>
	<li><a href=""http://li.an.free.fr/">Li-An</a>: '.__('Correction orthographique et codage en ISO durant les différentes phase du projet').'</span>
	<li>Vince: '.__('Découverte et participation très importante à la correction de deux bug (Version 0.99.1)').'</span></li>
	</ul></li>
</ul>
</fieldset>
'));
?>
